Subject: Answers to Number of Atom Types in Autodock

From: Robert Flight <[email-masked]>
Date: Wed, 17 Jul 2002 08:08:15 -0300

Thank you to everyone who responded to my question.  I have managed to 
recompile Autodock and Autogrid under Linux using the autocomm.h-extra-maps to 
replace the original autocomm.h in both Autodock and Autogrid.  So now I 
should have up to 15 atom types available for docking calculations.  Note:  I 
tried compiling on my SGI, but the GNU GCC compiler on SGI didn't really like 
the "make" file, therefore I switched to Linux, which compiled with minimal 
problems.  Below is my original question and the responses.

Thanks again to everyone,
Robert

Original Question:

Fellow CCLers,

A question on Autodock and the number of atom types allowed in the ligand used 
for docking. My ligand contains Carbon, Aromatics, Nitrogen, Oxygen, Sulphur, 
Hydrogens, and Fluorine atoms. Apparently Autodock allows only 7 atom types. 
When I try to run the docking with this particular ligand, I get the following 
error message:

autodock3: ERROR: ERROR: 7 atom types declared in "", S_line "CANOSHF"; 
maximum allowed is 6.
Change "ATOM_MAPS" in "autocomm.h"
autodock3: Aborting...

autodock3: Unsuccessful Completion.

I found two "autocomm.h" files, and also another called autocomm.h-extra-maps, 
however changing the contents of the autocomm.h files did not correct the 
problem. My questions are:
1- Can autodock support more than 6 different atom types per ligand
2- Am I going to have to recompile Autodock in order to be able to use ligands 
with more than 6 atom types.

I will post the answers to the board.

Thank you in advance.

Robert

REPLIES:
Hi Rob,

did you recompile the code...?

i have autodock with up to 15 atomtypes. if you need help to compile or
modify the code please email me and i will send you a patch file.

you need to modify both autodock and autogrid. its best to hack the
files in the src/autodock/autocomm.h and the same for autogrid
respectively

i did the following

#define MAX_MAPS 16 /* Maximum number of energy
maps */
#define ATOM_MAPS 14 /* Number of atomic affinity
grids */

#define NATOMTYPES 15 /* Number of atom types for atomic
interactions */

#define MAX_TYPES 8 /* Maximum number of atom types used. */

then do a make and a make install

cheers

Kim

************************************************************

I solved this problem by re-compiling autodock. The change required is
in the file autocomm.h:

change line: #define ATOM_MAPS 6
to be: #define ATOM_MAPS 8 (or however many you need)

It sounds like you made this change to autocomm.h already. What is then
required is to re-compile the program by typing the command "make".

Susan Heffron

P.S. In my particular case, on an SGI, I had to make the following
changes to the Makefile to get it to run without error messages:

old line: OLIMIT = $(CSTD) $(OPT) # SGI, Sun, HP, Convex,
>...
new line: OLIMIT = $(CSTD) $(OPT) -OPT:Olimit=2442 # Some SGIs.

old line: DBUG = -DNDEBUG # No debugging and no assert code.
new line: DBUG = # Use assert code. 
==========================================================================
Thanks,
Susan Heffron
****************************************

Hi Rob,
I have had the same problem. Infact, htis problem has been discussed about
two weeks ago in CCL.
To answer your questions:
1.No
2.Yes, but you d have to change a great deal of source code, which was, at
least for me, beyond my capabilities of programming.
I talked to the guys of SCRIPPS and they said it would take some efford to
allow more than six atom types, infact they know about this problem. I
couldn t figure out why they didnt allow lets say ten types right away.
Apart from that, AutoDock works really well.

Hope this helps.

Carsten
~~~~~~~~~~~~~~~~~~~~~~~~~~~
Carsten Detering
University of Washington
Seattle, WA 98195
email [email-masked]
~~~~~~~~~~~~~~~~~~~~~~~~~~~

I solved this problem by re-compiling autodock. The change required is
in the file autocomm.h:

change line: #define ATOM_MAPS 6
to be: #define ATOM_MAPS 8 (or however many you need)

It sounds like you made this change to autocomm.h already. What is then
required is to re-compile the program by typing the command "make".

Susan Heffron

P.S. In my particular case, on an SGI, I had to make the following
changes to the Makefile to get it to run without error messages:

change: OLIMIT = $(CSTD) $(OPT) # SGI, Sun, HP, Convex, ...
to be: OLIMIT = $(CSTD) $(OPT) -OPT:Olimit=2442 # Some SGIs.

change: DBUG = -DNDEBUG # No debugging and no assert code.
to be: DBUG = # Use assert code.

-- ------------------------------------------------------------------
Susan Heffron
Dept. of Physiology and Biophysics University of California, Irvine
Irvine, CA 92697-4560 U.S.A.
phone: (949) 824-4625
FAX: (949) 824-8540
------------------------------------------------------------------

In general, a program must be recompiled whenever changes are made to
any of the *.h files; these are part of the source code.

=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=
Rick Venable 29/500
FDA/CBER/OVRR Biophysics Lab
1401 Rockville Pike HFM-419
Rockville, MD 20852-1448 U.S.A.
(301) 496-1905 [email-masked]
ALT email: [email-masked]
=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=+=

********************************
Robert Flight
Masters Student
Department of Chemistry
University of New Brunswick
Fredericton, NB  Canada  E3B 6E2
e-mail: [email-masked]
********************************